<template>
    <div class="flex justify-end p-2">
  <Link href="/department/department/create" class="font-medium text-lime-500 hover:text-lime-600">
    <button class="btn bg-blue-700 text-white text-sm md:text-base py-2 md:py-3 px-4 md:px-6 font-medium rounded-lg hover:bg-blue-800 focus:outline-none focus:ring-2 focus:ring-blue-500">
      Create Department
    </button>
  </Link>
</div>
    <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
        
        <div class="overflow-auto">
            <table class="w-full table-fixed  text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400 border-collapse">
    <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
      <tr>
          <th scope="col" class="p-4 w-16">
                           
                        </th>
                        <th scope="col" class="w-60 md:w-auto">Department Name</th>
                        <th scope="col" class="w-60 md:w-auto">Description</th>
                        <th scope="col" class="w-60 md:w-auto">Head of Department</th>
                        <th scope="col" class="w-40 md:w-auto">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Table rows -->
                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
                        v-for="department in departments.data">
                        <td class="mb-5 p-4">
                            
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ department.name }}
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ department.description }}
                        </td>
                        <td class="mb-5 dark:text-black">
                            {{ department.hod.name }}
                        </td>
                        <td class="mb-5 flex items-center mt-5">
                            <Link v-if="currentUser.role.update_department" :href="`/department/department/${department.id}/edit`"
                                class="text-gray-500 hover:text-blue-900">
                            <Icon icon="fa-solid fa-pen-to-square" class="text-2xl"></Icon>
                            </Link>
                            <div class="mx-3"></div>

              <button  @click="deleteDepartment(department.id)" v-if="currentUser.role.delete_department">
                                 <Icon icon="fa-trash-can" class="text-2xl text-gray-500 hover:text-red-900"></Icon>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    
    <Pagination :data="departments"></Pagination>
</template>
<script setup>
import { computed, onMounted } from "vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";
import { initDropdowns } from "flowbite";

const page = usePage();
const currentUser = computed(() => page.props.currentUser)

const props = defineProps({
    departments: Object,
});

onMounted(() => {
    initDropdowns();
});

//selection
const selectionForm = useForm({
    selected: [],
});

function deleteDepartment(departmentId) {
    if (confirm("Are you sure?")) {
        selectionForm.selected.push(departmentId);
        selectionForm.delete("/department/department", {
            preserveScroll: true,
            preserveState: false,
        });
    }
}
</script>
